Mailinglist Archive: opensuse-commit (926 mails)

< Previous Next >
commit texlive for openSUSE:Factory
  • From: root@xxxxxxxxxxxxxxx (h_root)
  • Date: Fri, 11 Dec 2009 13:37:42 +0100
  • Message-id: <20091211123742.AA98E202A8@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package texlive for openSUSE:Factory
checked in at Fri Dec 11 13:37:42 CET 2009.



--------
--- texlive/texlive-bin.changes 2009-11-17 14:02:16.000000000 +0100
+++ /mounts/work_src_done/STABLE/texlive/texlive-bin.changes 2009-12-10
14:45:53.000000000 +0100
@@ -1,0 +2,11 @@
+Thu Dec 10 14:44:39 CET 2009 - werner@xxxxxxx
+
+- Make SuSEconfig.texlive less verbose if executed by main script
+- Add a rotator to SuSEconfig.texlive for executed by postinstall
+
+-------------------------------------------------------------------
+Fri Nov 27 14:05:53 CET 2009 - werner@xxxxxxx
+
+- Remove not used icu patch
+
+-------------------------------------------------------------------
texlive.changes: same change

calling whatdependson for head-i586


Old:
----
source-icu.dif

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ texlive-bin.spec ++++++
--- /var/tmp/diff_new_pack.mhm4GR/_old 2009-12-11 13:36:31.000000000 +0100
+++ /var/tmp/diff_new_pack.mhm4GR/_new 2009-12-11 13:36:31.000000000 +0100
@@ -35,7 +35,7 @@
Summary: The Base System of TeXLive
Group: Productivity/Publishing/TeX/Base
Version: 2009
-Release: 1
+Release: 2
Source0:
ftp://tug.org/historic/systems/texlive/2009/texlive-20091107-source.tar.xz
Source1:
ftp://tug.org/historic/systems/texlive/2009/texlive-20091107-texmf.tar.xz
Source2:
ftp://tug.org/historic/systems/texlive/2009/texlive-20091107-extra.tar.xz
@@ -115,7 +115,7 @@
# not necessary required, enabling the resulting psutils
# in texlive-tools cause dependency on texlive package
%bcond_with psutils
-%{expand: %global options %(mktemp /tmp/texlive-opts.XXXXXXXX)}
+%{expand: %%global options %(mktemp /tmp/texlive-opts.XXXXXXXX)}
%global _varlib %{_localstatedir}/lib
%global _libexecdir %{_prefix}/lib
%define _texmf_doc %{_datadir}/texmf

texlive.spec: same change
++++++ SuSEconfig.texlive ++++++
--- /var/tmp/diff_new_pack.mhm4GR/_old 2009-12-11 13:36:31.000000000 +0100
+++ /var/tmp/diff_new_pack.mhm4GR/_new 2009-12-11 13:36:31.000000000 +0100
@@ -10,6 +10,9 @@
#

typeset -r OLDIFS="$IFS"
+typeset -i rc=0
+: ${VERBOSE=true}
+
test -r /etc/sysconfig/suseconfig && . /etc/sysconfig/suseconfig

unset ${!LC_*}
@@ -17,8 +20,24 @@
MKTEXLSR=true
export LANG MKTEXLSR

+rotator ()
+{
+ local -i i=0
+ local -a elements=('|' '/' '-' '\')
+ while read -s -n 1 ; do
+ printf "\r[${elements[((i++%4))]}]"
+ done
+ echo
+}
+
+if test $VERBOSE = true ; then
+ exec 4> >(rotator)
+else
+ exec 4> /dev/null
+fi
+
if ! type -p kpsewhich &> /dev/null ; then
- echo "Enabling TeX binaries."
+ test $VERBOSE = true && echo "[ ]Enabling TeX binaries."
dirname=/usr/share/texmf/bin/noarch
cpu=$(uname -i|tr '[:upper:]' '[:lower:]' | sed
's/ppc64/ppc/;s/i386/i?86/')
os=$(uname -s|tr '[:upper:]' '[:lower:]')
@@ -48,13 +67,13 @@
type -p texhash &> /dev/null || exit 0
type -p kpsewhich &> /dev/null || exit 0
type -p updmap-sys &> /dev/null || exit 0
-type -p find &> /dev/null || { echo "$0: No find in PATH ... skipping"; exit 0
; }
-type -p sort &> /dev/null || { echo "$0: No sort in PATH ... skipping"; exit 0
; }
-type -p env &> /dev/null || { echo "$0: No env in PATH ... skipping"; exit 0
; }
-type -p sed &> /dev/null || { echo "$0: No sed in PATH ... skipping"; exit 0
; }
-type -p tr &> /dev/null || { echo "$0: No tr in PATH ... skipping"; exit 0
; }
-type -p grep &> /dev/null || { echo "$0: No grep in PATH ... skipping"; exit 0
; }
-type -p ed &> /dev/null || { echo "$0: No ed in PATH ... skipping"; exit 0
; }
+type -p find &> /dev/null || { echo "${0##*/}: No find in PATH ... skipping";
exit 0 ; }
+type -p sort &> /dev/null || { echo "${0##*/}: No sort in PATH ... skipping";
exit 0 ; }
+type -p env &> /dev/null || { echo "${0##*/}: No env in PATH ... skipping";
exit 0 ; }
+type -p sed &> /dev/null || { echo "${0##*/}: No sed in PATH ... skipping";
exit 0 ; }
+type -p tr &> /dev/null || { echo "${0##*/}: No tr in PATH ... skipping";
exit 0 ; }
+type -p grep &> /dev/null || { echo "${0##*/}: No grep in PATH ... skipping";
exit 0 ; }
+type -p ed &> /dev/null || { echo "${0##*/}: No ed in PATH ... skipping";
exit 0 ; }

# Be sure that configuring in /etc/texmf will work even if
# there are files relative to /etc/texmf ...
@@ -96,22 +115,29 @@
#
for f in /var/adm/SuSEconfig/run?texhash; do
test -e $f || continue
- echo "Enabling TeX hash data base."
+ typeset -i n=0
for lsr in ${HASHLSR//:/ }; do
+ ((n++ == 0)) && test $VERBOSE = true && echo -e "\r[ ]Enabling TeX hash
data base."
find $lsr -prune -type d -and -not -fstype nfs > /dev/null 2>&1 ||
continue
- test $f -nt $lsr/ls-R && texhash $lsr
+ if test $f -nt $lsr/ls-R ; then
+ texhash $lsr 1>&4 2>&4
+ let rc+=$?
+ fi
done
cfg=$(tcfmgr --cmd find --file updmap.cfg)
if test -e ${cfg} ; then
- echo "Enabling TeX font mappings."
- updmap-sys --quiet --nohash --nomkmap --syncwithtrees < /dev/null 2>
/dev/null
+ test $VERBOSE = true && echo -e "\r[ ]Enabling TeX font mappings."
+ updmap-sys --nohash --nomkmap --syncwithtrees < /dev/null 1>&4 2>&4
+ let rc+=$?
enablemaps | \
while read line ; do
line='^#![[:space:]]*((Mixed)?Map)[[:space:]]*('$line')'
emap=$(sed -n -r "s/$line/\1=\3/p" ${cfg})
- updmap-sys --quiet --nohash --nomkmap --enable $emap < /dev/null 2>
/dev/null
+ updmap-sys --nohash --nomkmap --enable $emap < /dev/null 1>&4 2>&4
+ let rc+=$?
done
- updmap-sys --quiet < /dev/null 2> /dev/null
+ updmap-sys < /dev/null 1>&4 2>&4
+ let rc+=$?
fi
rm -f /var/adm/SuSEconfig/run?texhash
break
@@ -130,7 +156,7 @@
# Configuration broken
#
if test ! -e "$TEXMFCNF" ; then
- echo "$0: Configuration of texlive installation not found."
+ echo "${0##*/}: Configuration of texlive installation not found."
exit 0
fi

@@ -142,9 +168,11 @@
test -s "$f" && touch "$f"
done
if test $init = true ; then
- echo "Initialize TeX configuration and font mappings."
- updmap-sys --syncwithtrees < /dev/null &> /dev/null
- texconfig-sys init < /dev/null &> /dev/null
+ test $VERBOSE = true && echo -e "\r[ ]Initialize TeX configuration and
font mappings."
+ updmap-sys --syncwithtrees < /dev/null 1>&4 2>&4
+ let rc+=$?
+ texconfig-sys init < /dev/null 1>&4 2>&4
+ let rc+=$?
fi

#
@@ -218,10 +246,11 @@
if test $omd5lang = 0 -o \
\( $md5lang != $omd5lang -o "$md5_nt_lang" = "yes" \)
then
- echo "Handle language setups."
+ test $VERBOSE = true && echo -e "\r[ ]Handle language setups."
set -- $(md5sum < ${cnf_lang})
echo $1 > ${md5_lang}
- fmtutil-sys --byhyphen ${cnf_lang}
+ fmtutil-sys --byhyphen ${cnf_lang} < /dev/null 1>&4 2>&4
+ let rc+=$?
fi

#
@@ -477,39 +506,47 @@
# Run texconfig if no one has update the TeXLive system
# or parts of it.
#
-echo "Handle printer setup if any."
-
if test $omd5modes = 0 -o \
\( $md5modes = $omd5modes -a "$prtcap_nt_mfont" = "yes" -a
"$md5_nt_mfont" = "yes" \)
then
- env -i MKTEXLSR=true PATH=$PATH LANG=$LANG texconfig-sys mode $PRINTER <
/dev/null
+ test $VERBOSE = true && echo -e "\r[ ]Set MetaFont mode."
+ env -i MKTEXLSR=true PATH=$PATH LANG=$LANG texconfig-sys mode $PRINTER <
/dev/null 1>&4 2>&4
+ let rc+=$?
set -- $(md5sum < ${cnf_mfont})
echo $1 > ${md5_mfont}
fi
if test $omd5xdvi = 0 -o \
\( $md5xdvi = $omd5xdvi -a "$prtcap_nt_xdvi" = "yes" -a
"$md5_nt_xdvi" = "yes" \)
then
- env -i MKTEXLSR=true PATH=$PATH LANG=$LANG texconfig-sys xdvi paper
$XDVISIZE < /dev/null
+ test $VERBOSE = true && echo -e "\r[ ]Set XDvi paper size."
+ env -i MKTEXLSR=true PATH=$PATH LANG=$LANG texconfig-sys xdvi paper
$XDVISIZE < /dev/null 1>&4 2>&4
+ let rc+=$?
set -- $(md5sum < ${cnf_xdvi})
echo $1 > ${md5_xdvi}
fi
if test $omd5dvips = 0 -o \
\( $md5dvips = $omd5dvips -a "$prtcap_nt_dvips" = "yes" -a
"$md5_nt_dvips" = "yes" \)
then
- env -i MKTEXLSR=true PATH=$PATH LANG=$LANG texconfig-sys dvips mode
$PRINTER < /dev/null
- env -i MKTEXLSR=true PATH=$PATH LANG=$LANG texconfig-sys dvips paper
$DVIPSSIZE < /dev/null
+ test $VERBOSE = true && echo -e "\r[ ]Set dvips mode and paper size."
+ env -i MKTEXLSR=true PATH=$PATH LANG=$LANG texconfig-sys dvips mode
$PRINTER < /dev/null 1>&4 2>&4
+ let rc+=$?
+ env -i MKTEXLSR=true PATH=$PATH LANG=$LANG texconfig-sys dvips paper
$DVIPSSIZE < /dev/null 1>&4 2>&4
+ let rc+=$?
set -- $(md5sum < ${cnf_dvips})
echo $1 > ${md5_dvips}
fi
if test "$prtcap_nt_dvips" = "manual" -a \
\( $md5dvips = $omd5dvips -o $omd5dvips = 0 \)
then
- echo "$0: Unknown default printer, use texconfig to setup dvips manually."
+ echo -e "\n${0##*/}: Unknown default printer, use texconfig to setup dvips
manually."
if test -n "$MAIL_REPORTS_TO" ; then
- echo "$0: Unknown default printer, use texconfig to setup dvips
manually." | \
- mail -s "$0" $MAIL_REPORTS_TO
+ echo "${0##*/}: Unknown default printer, use texconfig to setup dvips
manually." | \
+ mail -s "${0##*/}" $MAIL_REPORTS_TO
fi
fi

+if test $VERBOSE = true ; then
+ exec 4>&-
+fi
##
-exit 0
+exit $rc




++++++ texlive.spec.in ++++++
--- /var/tmp/diff_new_pack.mhm4GR/_old 2009-12-11 13:36:46.000000000 +0100
+++ /var/tmp/diff_new_pack.mhm4GR/_new 2009-12-11 13:36:46.000000000 +0100
@@ -81,7 +81,7 @@
# in texlive-tools cause dependency on texlive package
%bcond_with psutils

-%{expand: %global options %(mktemp /tmp/texlive-opts.XXXXXXXX)}
+%{expand: %%global options %(mktemp /tmp/texlive-opts.XXXXXXXX)}
%global _varlib %{_localstatedir}/lib
%global _libexecdir %{_prefix}/lib



++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

--
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages